List plan suggestion sets
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/plan-suggestion-sets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/plan-suggestion-sets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/plan-suggestion-sets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"planSuggestionSets": [
{
"planSuggestionSetId": "<string>",
"optimizerRunId": "<string>",
"planId": "<string>",
"planName": "<string>",
"campaignId": "<string>",
"campaignName": "<string>",
"planRunSequence": "<string>",
"planMediaBuyCount": 123,
"budgetCurrency": "<string>",
"applyMode": "AUTO",
"status": "<string>",
"statusReason": "<string>",
"netAllocationDelta": "<string>",
"applyAttemptCount": 123,
"compensationAttemptCount": 123,
"notifiedAt": "<string>",
"decidedAt": "<string>",
"appliedAt": "<string>",
"firstMessageAt": "<string>",
"lastMessageAt": "<string>"
}
],
"hasMore": true
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Optimization Suggestions
List plan suggestion sets
List plan-level optimization suggestion sets, optionally filtered by plan, campaign, or status.
GET
/
plan-suggestion-sets
List plan suggestion sets
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/plan-suggestion-sets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/plan-suggestion-sets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/plan-suggestion-sets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"planSuggestionSets": [
{
"planSuggestionSetId": "<string>",
"optimizerRunId": "<string>",
"planId": "<string>",
"planName": "<string>",
"campaignId": "<string>",
"campaignName": "<string>",
"planRunSequence": "<string>",
"planMediaBuyCount": 123,
"budgetCurrency": "<string>",
"applyMode": "AUTO",
"status": "<string>",
"statusReason": "<string>",
"netAllocationDelta": "<string>",
"applyAttemptCount": 123,
"compensationAttemptCount": 123,
"notifiedAt": "<string>",
"decidedAt": "<string>",
"appliedAt": "<string>",
"firstMessageAt": "<string>",
"lastMessageAt": "<string>"
}
],
"hasMore": true
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Query Parameters
Pattern:
^[1-9][0-9]{0,14}$Required range:
0 < x <= 9007199254740991Available options:
AWAITING_MESSAGES, AWAITING_APPROVAL, APPROVED, APPLYING, APPLIED, COMPENSATING, COMPENSATED, NEEDS_RECONCILIATION, REJECTED, SUPERSEDED, EXPIRED, APPLY_FAILED, PARKED, DRY_RUN_RECORDED Required range:
1 <= x <= 100Required range:
0 <= x <= 9007199254740991